#ifndef _TIMER_H_
#define _TIMER_H_

#include <windows.h>

class Timer {
public:
  Timer ();
  
  void LoadStartTime();
  void LoadNewTime();
  double getSecondsPassed();

private:
  LARGE_INTEGER time1;
  LARGE_INTEGER time2;
  LARGE_INTEGER frequency;
  double secondsPassed;
};

#endif // _TIMER_H_